classification
Title: Python 3.5.0rc1 "HOWTO Use Python in the web" needs fix
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: John Hagen, berker.peksag, docs@python, georg.brandl, python-dev, rhettinger
Priority: normal Keywords:

Created on 2015-08-13 00:20 by John Hagen, last changed 2016-03-07 17:02 by berker.peksag. This issue is now closed.

Messages (7)
msg248491 - (view) Author: John Hagen (John Hagen) * Date: 2015-08-13 00:20
https://docs.python.org/3.5/howto/webservers.html#setting-up-fastcgi

The "HOWTO Use Python in the web" documentation for 3.5.0rc1 prescribes to use flup in its example, which is not compatible with Python 3.

This has led to some confusion: https://stackoverflow.com/questions/23482357/fastcgi-wsgi-library-in-python-3

Perhaps the whole article could be given a once over to ensure it is still the best advice as of 2015.
msg248506 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-08-13 08:48
+1

I'd delete most of the CGI section, add a note about PEP 3333 and mention Gunicorn, uwsgi and Waitress. The frameworks section also needs a cleanup.

Do you want to work on a patch?
msg248507 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2015-08-13 09:01
It's probably better to remove the document for now, and add a rewritten version back when it arrives.

Although, this topic sees lot of change regularly, so it is probably not a good one for the standard documentation after all.
msg248516 - (view) Author: John Hagen (John Hagen) * Date: 2015-08-13 12:04
A couple other notes I saw:

The examples (https://docs.python.org/3.5/howto/webservers.html#setting-up-fastcgi) do not follow PEP 8 (should not have an encoding statement if it is UTF-8 Python 3) or the current guidance in PEP 394 to use "python3" in the shebang rather than "python".

Unfortunately, I think I should defer writing the patch/new page to someone with more experience in the Python/web world.  I am still pretty new to it.
msg248615 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-08-14 20:29
> It's probably better to remove the document for now

I concur.

> Although, this topic sees lot of change regularly, 
> so it is probably not a good one for the standard
> documentation after all.

This makes sense.  We typically use wiki pages for
this kind of material.  For example, see the debugging
tools page at:
https://wiki.python.org/moin/PythonDebuggingTools
msg261277 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-03-07 00:20
See issue 26497 for another report about this. I will remove Doc/howto/webservers.rst.
msg261304 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-07 17:00
New changeset b8ee8f79a024 by Berker Peksag in branch '3.5':
Issue #24852: Remove outdated "HOWTO Use Python in the web" document
https://hg.python.org/cpython/rev/b8ee8f79a024

New changeset ee1d44f7d3e7 by Berker Peksag in branch 'default':
Issue #24852: Remove outdated "HOWTO Use Python in the web" document
https://hg.python.org/cpython/rev/ee1d44f7d3e7
History
Date User Action Args
2016-03-07 17:02:12berker.peksagsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2016-03-07 17:00:58python-devsetnosy: + python-dev
messages: + msg261304
2016-03-07 00:20:14berker.peksagsetmessages: + msg261277
versions: - Python 3.4
2016-03-07 00:15:13berker.peksaglinkissue26497 superseder
2015-08-14 20:29:34rhettingersetnosy: + rhettinger
messages: + msg248615
2015-08-13 12:04:50John Hagensetmessages: + msg248516
2015-08-13 09:01:39georg.brandlsetnosy: + georg.brandl
messages: + msg248507
2015-08-13 08:48:53berker.peksagsetversions: + Python 3.4, Python 3.6
nosy: + berker.peksag

messages: + msg248506

stage: needs patch
2015-08-13 00:20:33John Hagencreate